getnonfreefonts(1)

NAME
getnonfreefonts - download and install fonts which cannot be distributed on a CD

getnonfreefonts-sys - download and install fonts system-wide which cannot be distributed on a CD

SYNOPSIS
getnonfreefonts [options] [fontlist]

getnonfreefonts-sys [options] [fontlist]

DESCRIPTION
Some font suppliers provided fonts which can be used freely but they disallow that money is charged for the distribution. Hence, for distributions on CD or DVD it is usually impossible to include these fonts. getnonfreefonts is a script which downloads and installs these fonts. Actually, it first downloads the program getfont<year> from tug.org which is then executed. getfont<year> does the real work. It will be updated occasionally to support more fonts. <year> denotes the TeXLive release. getnonfreefonts and getnonfreefonts-sys are identical except that getnonfreefonts installs files to $TEXMFHOME while getnonfreefonts-sys installs files to $TEXMFLOCAL. getfont<year> will not be installed permanently on your system. It only exists in a temporary directory while getnonfreefonts is running. Run getnonfreefonts --lsfonts to get a list of supported fonts.

OPTIONS

-a, --all
    Install all fonts.

-d, --debug
    Provide additional messages for debugging. These messages are sent to STDERR.

-f, --force
    Install fonts even if they are installed already.

-h, --help
    Print a help message. Nothing is installed but the directories where the fonts will be installed and the temporary directory are shown. <PID> will be replaced by the process ID of the current process.

-l, --lsfonts
    List all available fonts and tell whether they are installed already.

--sys
    If you call getnonfreefonts with the --sys option it behaves exactly like getnonfreefonts-sys.

-v, --verbose
    Be more verbose. This option is only needed for debugging.

--version
    Print version number.

ENVIRONMENT
One of the environment variables TMP, TEMP, or TMPDIR must exist. They are used to determine where to put the temporary files. The directory must exist and must be writable. /tmp will be used if none of the variables is defined.

REQUIREMENTS
Though this program is supposed to be used with TeX Live it might work with other TeX distributions too. The programs wget or curl, unzip, and kpsewhich have to be installed and a recent version of updmap is required which supports the --enable option.

BUGS
Please send bug reports to Reinhard Kotucha <reinhard.kotucha@web.de>.